package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校考生专项考核对象 a_enroll_special
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AEnrollSpecial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String universityName;

    /** 检查描述 */
    @Excel(name = "检查描述")
    private String enrollFormula;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroup;

    /** 专业类别 */
    @Excel(name = "专业类别")
    private String majorName;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirection;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 考生类别 */
    @Excel(name = "考生类别")
    private String examineeType;

    /** 考核项目类 */
    @Excel(name = "考核项目类")
    private String itemCategory;

    /** 考核项目类 */
    @Excel(name = "考核项组")
    private String itemGroup;

    /** 考核项目 */
    @Excel(name = "考核项目")
    private String itemName;

    /** 考核项目类型 */
    @Excel(name = "考核项目类型")
    private String itemType;

    /** 考核项目字段名 */
    @Excel(name = "考核项目字段名")
    private String itemField;

    /** 值类型:Score,Boolean */
    @Excel(name = "值类型:Score,Boolean")
    private String valueType;

    /** 值规则 */
    @Excel(name = "值规则")
    private String valueRule;

    /** 矫正类型:0不支持,1固定分2固定比例 */
    @Excel(name = "矫正类型:0不支持,1固定分2固定比例")
    private Integer correctType;

    /** 矫正参考值 */
    @Excel(name = "矫正参考值")
    private String correctValue;

    /** 符合规则 */
    @Excel(name = "符合规则")
    private String valuePassRule;

    /** 备选值 */
    @Excel(name = "备选值")
    private String valueOptional;

    /** 描述未用 */
    @Excel(name = "描述未用")
    private String description;

    /** 备注说明 */
    @Excel(name = "备注说明")
    private String comment;

    /** 校验公式 */
    @Excel(name = "校验公式")
    private String regex;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultValue;

    /** 占位提示 */
    @Excel(name = "占位提示")
    private String placeholder;

    /** 提示 */
    @Excel(name = "提示")
    private String tips;

    /** 键盘模式 */
    @Excel(name = "键盘模式")
    private String keyboardMode;

    /** 是否有点 */
    @Excel(name = "是否有点")
    private Long dotDisable;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setEnrollFormula(String enrollFormula) 
    {
        this.enrollFormula = enrollFormula;
    }

    public String getEnrollFormula() 
    {
        return enrollFormula;
    }
    public void setMajorGroup(String majorGroup) 
    {
        this.majorGroup = majorGroup;
    }

    public String getMajorGroup() 
    {
        return majorGroup;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorDirection(String majorDirection) 
    {
        this.majorDirection = majorDirection;
    }

    public String getMajorDirection() 
    {
        return majorDirection;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setExamineeType(String examineeType) 
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }
    public void setItemCategory(String itemCategory) 
    {
        this.itemCategory = itemCategory;
    }

    public String getItemCategory() 
    {
        return itemCategory;
    }
    public void setItemGroup(String itemGroup) {
        this.itemGroup = itemGroup;
    }

    public String getItemGroup() {
        return itemGroup;
    }
    public void setItemName(String itemName)
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setItemType(String itemType) 
    {
        this.itemType = itemType;
    }

    public String getItemType() 
    {
        return itemType;
    }
    public void setItemField(String itemField) 
    {
        this.itemField = itemField;
    }

    public String getItemField() 
    {
        return itemField;
    }
    public void setValueType(String valueType) 
    {
        this.valueType = valueType;
    }

    public String getValueType() 
    {
        return valueType;
    }
    public void setValueRule(String valueRule) 
    {
        this.valueRule = valueRule;
    }

    public String getValueRule() 
    {
        return valueRule;
    }
    public void setCorrectType(Integer correctType)
    {
        this.correctType = correctType;
    }

    public Integer getCorrectType()
    {
        return correctType;
    }
    public void setCorrectValue(String correctValue) 
    {
        this.correctValue = correctValue;
    }

    public String getCorrectValue() 
    {
        return correctValue;
    }
    public void setValuePassRule(String valuePassRule) 
    {
        this.valuePassRule = valuePassRule;
    }

    public String getValuePassRule() 
    {
        return valuePassRule;
    }
    public void setValueOptional(String valueOptional) 
    {
        this.valueOptional = valueOptional;
    }

    public String getValueOptional() 
    {
        return valueOptional;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setRegex(String regex) 
    {
        this.regex = regex;
    }

    public String getRegex() 
    {
        return regex;
    }
    public void setDefaultValue(String defaultValue) 
    {
        this.defaultValue = defaultValue;
    }

    public String getDefaultValue() 
    {
        return defaultValue;
    }
    public void setPlaceholder(String placeholder) 
    {
        this.placeholder = placeholder;
    }

    public String getPlaceholder() 
    {
        return placeholder;
    }
    public void setTips(String tips) 
    {
        this.tips = tips;
    }

    public String getTips() 
    {
        return tips;
    }
    public void setKeyboardMode(String keyboardMode) 
    {
        this.keyboardMode = keyboardMode;
    }

    public String getKeyboardMode() 
    {
        return keyboardMode;
    }
    public void setDotDisable(Long dotDisable) 
    {
        this.dotDisable = dotDisable;
    }

    public Long getDotDisable() 
    {
        return dotDisable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("enrollFormula", getEnrollFormula())
            .append("majorGroup", getMajorGroup())
            .append("majorName", getMajorName())
            .append("majorDirection", getMajorDirection())
            .append("gender", getGender())
            .append("examineeType", getExamineeType())
            .append("itemCategory", getItemCategory())
            .append("itemName", getItemName())
            .append("itemType", getItemType())
            .append("itemField", getItemField())
            .append("valueType", getValueType())
            .append("valueRule", getValueRule())
            .append("correctType", getCorrectType())
            .append("correctValue", getCorrectValue())
            .append("valuePassRule", getValuePassRule())
            .append("valueOptional", getValueOptional())
            .append("description", getDescription())
            .append("comment", getComment())
            .append("regex", getRegex())
            .append("defaultValue", getDefaultValue())
            .append("placeholder", getPlaceholder())
            .append("tips", getTips())
            .append("keyboardMode", getKeyboardMode())
            .append("dotDisable", getDotDisable())
            .toString();
    }
}
